#include<stdio.h>
#include<stdlib.h>
int main()
{
	int p ,q ,r;
	long long int R,L;
	scanf("%d%d%d",&p,&q,&r);
	scanf("%lld%lld",&L,&R);
	int s=0;
	int k=0,i;
	for(i=L;i<=R;i++)
	{
		s=i/r+i/p+i/q;
		if(i%r!=0)
		s++;
		if(i%p!=0)
		s++;
		if(i%q!=0)
		s++;
		if(s<=i)
		k++;
		
	}
	printf("%d",k);
}